
// .btn-prowhy {
//   border: 1px solid rgba(0, 0, 0, 0.5);
//   border-radius: 3px;
//   box-shadow: 0 0 0.1rem 0.1rem rgba(0, 0, 0, 0.2);
// }

// .btn-prowhy:hover {
//   background-color: #ddd;
// }

// Surcharge Bootstrap
.btn-primary {
  background-color: $primary-color;
  border-color: $primary-color;
}

// button 1
.btn-outline-dark {
  color: #343434;
  background-color: white;
  font-family: Poppins;
  font-size: 12px;
  font-style: normal;
  font-weight: 400;
  // line-height: 18px;
  letter-spacing: 0em;
  text-align: center;
  border-radius: 4px;
  // border: none;

  border: 1px solid $color-grey-rgba;
  // box-shadow: 0px 2px 4px $color-grey;
}
.btn-outline-dark:hover, .btn-menu-active {
  // background: #FFFFFF;
  background-color: white;
  color: #343434;
  /* PW - Button */
  border: 1px solid $color-grey-rgba;
  box-shadow: 0px 8px 16px rgba(252, 148, 43, 0.24);

  // .rca-form-changed {
  //   // box-shadow: 0px 8px 16px rgba(252, 1, 1, 0.24);
  //   border: 2px solid rgba(252, 1, 1, 0.8);
  // }
}

.btn-outline-dark:hover .icon-btn, .btn-outline-warning:hover .icon-btn, .icon-btn:hover, .btn-menu-active {
  color: $color-orange;
  opacity: 1;
}

.btn-full-with {
  width:100%;
}

.icon-rca-list {
  margin-left: 20px;
  margin-top: 2px;
}

#header-collapse-rcasearch, #header-collapse-charts, #header-collapse-rcalist {
  color: $color-dark;
  font-size: 16px;
  font-weight: bold;
  margin-bottom: 10px;
  border: none !important;
  box-shadow: none !important;
  text-align:left;



  &[aria-expanded="true"] {
    // box-shadow: 0px 8px 16px rgba(252, 148, 43, 0.24);

    .icon-btn {
      color: $color-orange;
      opacity: 1;
    }
  }

  &:hover {
    color: $color-orange;
    .icon-btn {
      color: $color-orange;
      opacity: 1;
    }
  }
}

.btn-menu-active {
  font-weight: bold;
}

.rca-form-changed {
  box-shadow: 0px 8px 16px rgba(252, 1, 1, 0.24);
  border: 2px solid rgba(252, 1, 1, 0.8) !important;
}


.btn-outline-warning {
  color: #343434;
}
.btn-outline-warning:hover {
  background-color: transparent;
  box-shadow: 0px 8px 16px rgba(252, 148, 43, 0.24);
}


.form-group label {
  margin-bottom: 0;
}

.btn-xs {
  padding: 0.05rem 0.4rem;
  font-size: 0.875rem;
  line-height: 1.5;
  border-radius: 0.2rem;
}

.btn-help {
  // background: transparent;
  // border: none;
  color: $color-icon-blue;
  cursor: pointer;
  :hover {
    color: darken($color-icon-blue, 15%);
  }
}

.btn-advancement {
  background-color: #eee;
  border: 1px solid orangered;
  color: orangered;
  padding: 2px 6px;
  margin-top: -20px;
  margin-left: 20px;
  font-size: smaller;
}

.info-advancement {
  // background-color: #eee;
  // border: 1px solid orangered;
  color: orangered;
  padding: 2px 6px;
  // margin-top: -20px;
  margin-left: 20px;
  font-size: smaller;
  font-style: italic;
}

// ToolTips MARCHE PAS...........;;

.tooltip-inner {
  color: #ddd !important;
  background-color: #999 !important;
}
.tooltip {
  color: #d21 !important;
  background-color: #33b !important;
}

/*
*
* FORMULAIRES
*
*/
// .form-control.is-valid:after {
//     // content: "BLA";
//     // left:5px;
//     // position:absolute;
//     // top:0;
//   content: "";
//   display: inline-block;
//   width: 16px;
//   height: 16px;
//   background-image: url("../application/images/flags/fr-16.png");
//   background-repeat: no-repeat;
//   position: relative;
//   left: 50px;
//   // left: 5px; //adjust your positioning as necessary
// }
.form-group-valid {
  div.col-sm-9 {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='8' height='8' viewBox='0 0 8 8'%3e%3cpath fill='%2328a745' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right 20px top 40%;
    background-size: 1em;
  }
}

.form-group {
  div.col-sm-9 {
    trix-toolbar {
      width: calc(100% - 25px);
    }
  }
}
.form-control, .form-control.is-valid {
  width: calc(100% - 25px);
  border-color: $color-grey;
  background-image: none;
  &:focus {
    border-color: $color-orange-2;
    box-shadow: 0 0 0.3rem $color-orange-2;
    border: 1px solid $color-orange-2;
    // box-shadow: none;
  }
}

.text_person {
  width: calc(100% - 40px);
  display: inline-block;
  margin-right: 10px;
}

.was-validated .form-check-input:valid ~ .form-check-label, .form-check-input.is-valid ~ .form-check-label {
    color: #000;
    padding-left: 10px;
}


input[type="checkbox"]:before {
    content: '';
    width: 13px;
    height: 13px;
    position: absolute;
    // background: $color-orange-rgba; // url(check.png) no-repeat center 3px transparent #ff0000;
    border: 2px solid $color-orange;
}
input[type="checkbox"]:checked:before {
    background: $color-orange; // url(check.png) no-repeat center 3px transparent #ff0000;
}

input[type="radio"]:before {
    content: '';
    width: 13px;
    height: 13px;
    position: absolute;
    border: 2px solid $color-orange;
    border-radius: 50%;
}
input[type="radio"]:checked:before {
    background: $color-orange; // url(check.png) no-repeat center 3px transparent #ff0000;
}
